# Fraudulent Domain Webdata History

Returns the web data (page content, technologies, headers) history recorded for a fraudulent domain.

Source: https://docs.deepinfo.com/reference/brp/fraudulent-domain-webdata-history/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/brp/fraudulent-domains/{fraudulent_id}/webdata-history`

Returns the web data (page content, technologies, headers) history recorded for a fraudulent domain.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `fraudulent_id` | Required |  | `000000000000000ee94f0001` |

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `page` | Optional | Min `1`, max `800`. Default `1`. | `1` |
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].result` | object |  |
| `results[].status` | boolean |  |
| `results[].check_date` | string | date-time |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array<object> |
| `results[].result` | null |
| `results[].status` | null |
| `results[].check_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/000000000000000ee94f0001/webdata-history' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 21,
  "results": [
    {
      "result": null,
      "status": null,
      "check_date": "2025-07-31T08:00:00Z"
    },
    {
      "result": null,
      "status": null,
      "check_date": "2025-07-30T08:00:00Z"
    }
  ]
}
```

### 400 · Invalid Parameter (invalid page=0)

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/000000000000000ee94f0001/webdata-history?page=0' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "page",
      "details": [
        "Ensure this value is greater than or equal to 1."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```

### 404 · Not Found (nonexistent fraudulent_id)

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/ffffffffffffffffffffffff/webdata-history' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Fraudulent does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
